nl.tudelft.simulation.dsol.tutorial.section25

## Class Model25

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section25.Model25

All Implemented Interfaces:
  Serializable, DSOLModel<Double,Double,SimTimeDouble>, DSOLModel.TimeDouble

    public class Model25
    extends Object
    implements DSOLModel.TimeDouble

The Customer Ordering model class as presented in section 2.5 in the DSOL tutorial.

copyright (c) 2002-2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: Lesser General Public License (LGPL) , no warranty.

Version:
  1.1 Sep 6, 2004
Author:
  Peter Jacobs
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface nl.tudelft.simulation.dsol.DSOLModel

`DSOLModel.CalendarDouble, DSOLModel.CalendarFloat, DSOLModel.CalendarLong, DSOLModel.TimeDouble, DSOLModel.TimeDoubleUnit, DSOLModel.TimeFloat, DSOLModel.TimeFloatUnit, DSOLModel.TimeLong`

### Constructor Summary

Constructors
Constructor and Description
`Model25()` Construct a new customer ordering model.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `constructModel(SimulatorInterface<Double,Double,SimTimeDouble> simulatorDouble)`
`SimulatorInterface.TimeDouble` `getSimulator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Model25

    public Model25()

Construct a new customer ordering model.

### Method Detail

#### constructModel

    public final void constructModel(SimulatorInterface<Double,Double,SimTimeDouble> simulatorDouble)

Specified by:
  `constructModel` in interface `DSOLModel<Double,Double,SimTimeDouble>`

#### getSimulator

    public final SimulatorInterface.TimeDouble getSimulator()

Specified by:
  `getSimulator` in interface `DSOLModel<Double,Double,SimTimeDouble>`